---
title: CSSStyleValue
slug: Web/API/CSSStyleValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSStyleValue
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<p>{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</p>

<p>The <strong><code>CSSStyleValue</code></strong> interface of the <a href="/en-US/docs/Web/API/CSS_Typed_Object_Model_API">CSS Typed Object Model API</a> is the base class of all CSS values accessible through the Typed OM API. An instance of this class may be used anywhere a string is expected.</p>

<h2 id="Interfaces_based_on_CSSStyleValue">Interfaces based on CSSStyleValue</h2>

<p>Below is a list of interfaces based on the <code>CSSStyleValue</code> interface.</p>

<div class="index">
<ul>
	<li>{{domxref('CSSImageValue')}}</li>
	<li>{{domxref('CSSKeywordValue')}}</li>
	<li>{{domxref('CSSNumericValue')}}</li>
	<li>{{domxref('CSSPositionValue')}}</li>
	<li>{{domxref('CSSTransformValue')}}</li>
	<li>{{domxref('CSSUnparsedValue')}}</li>
</ul>
</div>

<h2 id="Methods">Methods</h2>

<dl>
	<dt>{{domxref("CSSStyleValue.parse()")}}</dt>
	<dd>Sets a specific CSS property to the specified values and returns the first value as a {{domxref('CSSStyleValue')}} object.</dd>
	<dt>{{domxref("CSSStyleValue.parseAll()")}}</dt>
	<dd>Sets all occurences of a specific CSS property to the specified valueand returns an array of {{domxref('CSSStyleValue')}} objects, each containing one of the supplied values.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSS Typed OM','#stylevalue-objects','CSSStyleValue')}}</td>
			<td>{{Spec2('CSS Typed OM')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleValue")}}</p>
